Skip to main content
POST
/
api
/
v1
/
vector_stores
Create Vector Store
curl --request POST \
  --url https://api.example.com/api/v1/vector_stores \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "dimension": 123,
  "model_id": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "model_id": "<string>",
  "dimension": 123,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_active_at": "2023-11-07T05:31:56Z",
  "stats": {
    "usage_bytes": 123,
    "num_documents": 123
  },
  "context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

context_id
string<uuid> | null

Body

application/json

Request to create a new vector store.

name
string
required

Name of the vector store

dimension
integer
required

Dimension of the vectors to be stored

model_id
string
required

Response

Successful Response

id
string<uuid>
required
model_id
string
required
dimension
integer
required
created_by
string<uuid>
required
name
string | null
created_at
string<date-time>
last_active_at
string<date-time>
stats
VectorStoreStats · object
context_id
string<uuid> | null